Bug 120336 - RFE: Streamline up2date by not asking to click forward after retreival and installation
RFE: Streamline up2date by not asking to click forward after retreival and i...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
: FutureFeature
: 124441 (view as bug list)
Depends On:
Blocks: up2date-fc2 120092 126229
  Show dependency treegraph
 
Reported: 2004-04-07 16:15 EDT by Forrest
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 09:32:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch that doesn't make you click forward after retrieval and installation (888 bytes, patch)
2004-04-07 16:29 EDT, Forrest
no flags Details | Diff

  None (edit)
Description Forrest 2004-04-07 16:15:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
I would like to cut down on the number of clicks required to run
up2date.  I would like an option or in up2date-config that allows for
automatic retreival and installation.  E.g., once you checked programs
for download, it would retreive the rpms, and then continue to the
next page automatically (either installation or finish).  Also the
installation page would continue to the finish page without clicking
forward.

Version-Release number of selected component (if applicable):
up2date-4.3.11-2.1.1

How reproducible:
Always

Steps to Reproduce:
1.  Run up2date and choose packages to install
2.  Retrieve and installation require you to click Forward  

Actual Results:  Retrieve and installation require you to click Forward

Expected Results:  I want an option to allow a streamlining affect so
I do not have to click forward to install or see the finish screen.  I
would like to:
 choose the packages
 see deps, if any
 watch the retrieval/installation screens
 then see the finish page that tells me if it all worked

without having to click on Forward between screens.

Additional info:
Comment 1 Forrest 2004-04-07 16:29:08 EDT
Created attachment 99207 [details]
Patch that doesn't make you click forward after retrieval and installation

I was thinking something along these lines.  I have to create an option in
up2date-config, but something like this works for me.  If this seems
reasonable, I can code the option.
Comment 2 Adrian Likins 2004-04-07 17:28:01 EDT
I like the idea, I'll take a look at the patch.

I don't think I'd even bother with a config
option, I'll just make it the new default
Comment 3 Sean Earp 2004-04-07 21:48:43 EDT
I woud also love to see this option added.  Updating on OS X and Windoze is much more 
streamlined than it currently is with up2date.  Too much clicking is a bad thing!

-Sean :)
Comment 4 Forrest 2004-04-08 13:51:00 EDT
Cool!  What about having the first page be the channelsPage?  The
welcome page seems frivolous to me and there should be room to add a
few words on the channelsPage.
Comment 5 Hugh Jass 2004-05-01 20:36:52 EDT
A "Yes to All" option when unknown GPGs pop up would kick arse
Comment 6 Ricky Ng-Adam 2004-05-28 10:58:16 EDT
*** Bug 124441 has been marked as a duplicate of this bug. ***
Comment 7 Michel Van den Bergh 2005-02-25 04:38:27 EST
I vote for this bug. up2date is much too noisy. Since
the process of updating packages takes rather a long time 
this is very annoying.

In synaptic you push "reload", "mark all upgrades", "apply" and that's
it. I would like to see similar functionality in up2date.
Comment 8 John Thacker 2006-10-29 09:32:37 EST
Note that FC1 and FC2 are no longer supported even by Fedora Legacy, and FC3 and
FC4 are supported by Fedora Legacy only for security issues.  Please retest this
bug against a still supported version and retest.  If this still occurs on FC3
or FC4 and is a security issue, please reopen the bug and assign it to that
version and Fedora Legacy.  If it occurs on RHEL, please change to that product
and the appropriate version.

Note that up2date has been replaced by pirut/pup for FC5 and FC6, the only
fully-supported versions of Fedora Core.  Please test pirut for software updates
and file bugs as appropriate.

Note You need to log in before you can comment on or make changes to this bug.